# HAITI

[![GitHub forks](https://img.shields.io/github/forks/noraj/haiti)](https://github.com/noraj/haiti/network)
[![GitHub stars](https://img.shields.io/github/stars/noraj/haiti)](https://github.com/noraj/haiti/stargazers)
[![GitHub license](https://img.shields.io/github/license/noraj/haiti)](https://github.com/noraj/haiti/blob/master/LICENSE.txt)
[![Rawsec's CyberSecurity Inventory](https://inventory.raw.pm/img/badges/Rawsec-inventoried-FF5050_flat.svg)](https://inventory.raw.pm/tools.html#Haiti)

![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/noraj/haiti/ruby.yml?branch=master)
![GitHub commit activity](https://img.shields.io/github/commit-activity/y/noraj/haiti)

![](https://noraj.github.io/haiti/_media/logo.png)

> _**HA**sh **I**den**T**if**I**er_

## What is it?

A CLI tool (and library) to identify hash types (hash type identifier).

**CLI**

![](https://i.imgur.com/3vFXTpi.gif)

**library**

![](https://i.imgur.com/tKOMQP2.png)

## Features

- 632+ hash types detected
- Modern algorithms supported (SHA3, Keccak, Blake2, etc.)
- Hashcat and John the Ripper references
- CLI tool & library
- Hackable

## Installation

```plaintext
$ gem install haiti-hash
```

Check the [installation](https://noraj.github.io/haiti/#/pages/install) page on the documentation to discover more methods (Docker, Debian, openSUSE, etc.).

[![Packaging status](https://repology.org/badge/vertical-allrepos/haiti.svg)](https://repology.org/project/haiti/versions)
[![Gem Version](https://badge.fury.io/rb/haiti-hash.svg)](https://badge.fury.io/rb/haiti-hash)
![GitHub tag (latest SemVer)](https://img.shields.io/github/tag/noraj/haiti)

## Documentation

Homepage / Documentation: https://noraj.github.io/haiti/

## Comparison

See the reasons why Haiti was created and a detailed comparison with other existing tools on the [documentation page](https://noraj.github.io/haiti/#/why).

![haiti_comparison](https://user-images.githubusercontent.com/16578570/205453854-a2ee2b6e-8dfc-4071-8ff6-8fe1b00da34d.png)

## Author

Made by Alexandre ZANNI ([@noraj](https://pwn.by/noraj/)). Forked from [Orange-Cyberdefense/haiti](https://github.com/Orange-Cyberdefense/haiti).
